OpenVDB 12.1.0

Loading...
Searching...
No Matches
PcaTimer Struct Referencefinal

`#include <openvdb/points/impl/PrincipalComponentAnalysisImpl.h>`

Inheritance diagram for PcaTimer:

## Public Member Functions
| PcaTimer (util::NullInterrupter *const interrupt)
void | start (const char *msg)
void | stop ()

## Public Attributes
util::NullInterrupter *const | mInterrupt

## Constructor & Destructor Documentation

## ◆ PcaTimer()

PcaTimer | ( | util::NullInterrupter *const | interrupt | ) |
| inline

## Member Function Documentation

## ◆ start()

void start | ( | const char * | msg | ) |
| inline

## ◆ stop()

void stop | ( |  | ) |
| inline

## Member Data Documentation

## ◆ mInterrupt

util::NullInterrupter* const mInterrupt